package com.yeejoin.amos.boot.module.tdc.api.service;

import com.alibaba.fastjson.JSONObject;
import com.yeejoin.amos.boot.module.tdc.api.entity.ModelItem;
import com.yeejoin.amos.feign.privilege.model.AgencyUserModel;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @author xxz
 */
@Service
public interface ModelItemService {

    void saveModelItem(JSONObject jsonObject, AgencyUserModel userInfo);

    void editModelItem(JSONObject jsonObject, AgencyUserModel userInfo);

    /**
     * 获取详情接口
     * @param sequenceNbr 记录id
     * @return 项
     */
    Map<String, Object> getModelItem(Long sequenceNbr);

    void deleteModelItem(String sequenceNbr);
}
